Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.graph
Class PluggableRendererDemo.PopupGraphMousePlugin

    java.lang.Object
      edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
          edu.uci.ics.jung.visualization.control.AbstractPopupGraphMousePlugin
              samples.graph.PluggableRendererDemo.PopupGraphMousePlugin

All Implemented Interfaces:
  EventListener, GraphMousePlugin, MouseListener

Enclosing class:
  PluggableRendererDemo

protected class PluggableRendererDemo.PopupGraphMousePlugin
extends AbstractPopupGraphMousePlugin
implements MouseListener

a GraphMousePlugin that offers popup menu support

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`cursor, down, modifiers`

Constructor Summary
`PluggableRendererDemo.PopupGraphMousePlugin()`
`PluggableRendererDemo.PopupGraphMousePlugin(int modifiers)`

Method Summary
`protected void` | `handlePopup(MouseEvent e)` If this event is over a Vertex, pop up a menu to allow the user to increase/decrease the voltage attribute of this Vertex

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractPopupGraphMousePlugin
`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`checkModifiers, getCursor, getModifiers, setCursor, setModifiers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

Constructor Detail

### PluggableRendererDemo.PopupGraphMousePlugin

    public PluggableRendererDemo.PopupGraphMousePlugin()

### PluggableRendererDemo.PopupGraphMousePlugin

    public PluggableRendererDemo.PopupGraphMousePlugin(int modifiers)

Method Detail

### handlePopup

    protected void handlePopup(MouseEvent e)

  If this event is over a Vertex, pop up a menu to allow the user to increase/decrease the voltage attribute of this Vertex

  Specified by:
    `handlePopup` in class `AbstractPopupGraphMousePlugin`
  Parameters:
    `e` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD